local plscript = CreateFrame("Frame")
plscript:RegisterEvent("PLAYER_ENTERING_WORLD", unit)
local function eventHandler(self,event)
	if event == "PLAYER_ENTERING_WORLD" then
				-- FRAMES
				PlayerFrame:ClearAllPoints()
				PlayerFrame:SetPoint("CENTER", -475, 175)
				TargetFrame:ClearAllPoints()
				TargetFrame:SetPoint("CENTER", -250, 175)
				FocusFrame:ClearAllPoints()
				FocusFrame:SetPoint("CENTER", 250, 175)
				PlayerPVPIcon:SetAlpha(0)
				TargetFrameTextureFramePVPIcon:SetAlpha(0)
				FocusFrameTextureFramePVPIcon:SetAlpha(0)
				
				-- CLASS PORTRAITS
				UFP = "UnitFramePortrait_Update"
				UICC = "Interface\\TargetingFrame\\UI-Classes-Circles"
				CIT = CLASS_ICON_TCOORDS
				hooksecurefunc(UFP,function(self) if self.portrait then local t = CIT[select(2,UnitClass(self.unit))] if t then self.portrait:SetTexture(UICC) self.portrait:SetTexCoord(unpack(t)) end end end)
				
				-- BARS
					-- Hides macro text
				for i=1,12 do _G["ActionButton"..i.."Name"]:SetAlpha(0) _G["MultiBarBottomRightButton"..i.."Name"]:SetAlpha(0) _G["MultiBarBottomLeftButton"..i.."Name"]:SetAlpha(0) _G["MultiBarRightButton"..i.."Name"]:SetAlpha(0) _G["MultiBarLeftButton"..i.."Name"]:SetAlpha(0) end
				
					-- Hiding unnecessary things
				SpellActivationOverlayFrame:SetScale(.6)
				ActionBarUpButton:SetAlpha(0)
				ActionBarDownButton:SetAlpha(0)
				MainMenuBarPageNumber:SetAlpha(0)
				MainMenuBarLeftEndCap:SetAlpha(0)
				MainMenuBarRightEndCap:SetAlpha(0)
				UIErrorsFrame:UnregisterEvent("UI_ERROR_MESSAGE")
				MainMenuBarMaxLevelBar:SetAlpha(0)
				
					-- Fix for frame auras
				TargetFrameToT:ClearAllPoints()
				TargetFrameToT:SetPoint("BOTTOMRIGHT",TargetFrame,-15,-10)
				FocusFrameToT:ClearAllPoints()
				FocusFrameToT:SetPoint("BOTTOMRIGHT",FocusFrame,-15,-10)
				for i=0,3 do _G["MainMenuBarTexture"..i]:SetAlpha(0)end
				for i=0,3 do _G["MainMenuMaxLevelBar"..i]:SetAlpha(0)end
				for i=1,4 do _G["ChatFrame"..i]:SetFont("Fonts\\ARIALN.TTF",16,"OUTLINE")end
				
				MainMenuBar:ClearAllPoints()
				MainMenuBar:SetPoint("BOTTOMRIGHT",2,35)
				MainMenuBar.SetPoint = function() end
				
				MultiBarBottomLeftButton1:ClearAllPoints()
				MultiBarBottomLeftButton1:SetPoint("BOTTOM", ActionButton1, "TOP", 0, 7)
				MultiBarBottomLeftButton1.SetPoint = function() end
				
				MultiBarBottomRightButton1:ClearAllPoints()
				MultiBarBottomRightButton1:SetPoint("BOTTOM",MultiBarBottomLeftButton1,"TOP",0,7)
				MultiBarBottomRightButton1.SetPoint = function() end
				
					-- Pet Bars
				PetActionButton1:ClearAllPoints()
				PetActionButton1:SetPoint("BOTTOM", MultiBarBottomRightButton3, "TOP", -25, 7)
				PetActionButton1.SetPoint = function() end
				
					-- Stance Bars
				StanceBarFrame:ClearAllPoints()
				StanceBarFrame:SetPoint("BOTTOM", PetActionButton1, "TOP", 0, 7)
				StanceBarFrame.SetPoint = function() end
				
					-- Exp and Rep bars
				MainMenuExpBar:ClearAllPoints()
				MainMenuExpBar:SetPoint("BOTTOM", UIParent, "BOTTOM", 0, 0)
				ReputationWatchBar:ClearAllPoints()
				ReputationWatchBar:SetPoint("BOTTOM", MainMenuExpBar, "TOP", 0, 3)
				ReputationWatchBar.SetPoint = function() end --Required because bar moves on its own sometimes
				
					-- Red icons for out of range
				hooksecurefunc("ActionButton_OnEvent",function(self, event, ...)
                                if ( event == "PLAYER_TARGET_CHANGED" ) then
                                                self.newTimer = self.rangeTimer
                                end
                end)

                hooksecurefunc("ActionButton_UpdateUsable",function(self)
                                local icon = _G[self:GetName().."Icon"]
                                local valid = IsActionInRange(self.action)

                                if ( valid == 0 ) then
                                                icon:SetVertexColor(1.0, 0.1, 0.1) -- SetAlpha(0.3)SetVertexColor(1.0, 0.1, 0.1)
                                end
                end)

                hooksecurefunc("ActionButton_OnUpdate",function(self, elapsed)
                                local rangeTimer = self.newTimer

                                if ( rangeTimer ) then
                                                rangeTimer = rangeTimer - elapsed
 
                                                if ( rangeTimer <= 0 ) then
                                                                ActionButton_UpdateUsable(self)
                                                                rangeTimer = TOOLTIP_UPDATE_TIME
                                                end

                                                self.newTimer = rangeTimer
                                end
                end)
				
					-- Cast bar
				CastingBarFrame:ClearAllPoints()
				CastingBarFrame:SetPoint("CENTER",UIParent,"CENTER", 0, -150)
				CastingBarFrame.SetPoint = function() end
				
				CastingBarFrame.timer = CastingBarFrame:CreateFontString(nil);
				CastingBarFrame.timer:SetFont(STANDARD_TEXT_FONT,12,"OUTLINE");
				CastingBarFrame.timer:SetPoint("TOP", CastingBarFrame, "BOTTOM", 0, 0);
				CastingBarFrame.update = .1;

				hooksecurefunc("CastingBarFrame_OnUpdate", function(self, elapsed)
						if not self.timer then return end
						if self.update and self.update < elapsed then
								if self.casting then
										self.timer:SetText(format("%2.1f/%1.1f", max(self.maxValue - self.value, 0), self.maxValue))
								elseif self.channeling then
										self.timer:SetText(format("%.1f", max(self.value, 0)))
								else
										self.timer:SetText("")
								end
								self.update = .1
						else
								self.update = self.update - elapsed
						end
				end)
				
				-- HIDE PET DAMAGE PORTRAIT
				PlayerHitIndicator:SetText(nil)
				PlayerHitIndicator.SetText = function() end

				PetHitIndicator:SetText(nil)
				PetHitIndicator.SetText = function() end
				--[[
				-- SPELLSTEAL/PURGE/DISPEL MAGIC/TRANQ FOR MAGIC
				hooksecurefunc("TargetFrame_UpdateAuras", function(s)
						for i = 1, MAX_TARGET_BUFFS do
								_, _, ic, _, dT = UnitBuff(s.unit, i)
								if(ic and (not s.maxBuffs or i<=s.maxBuffs)) then
										fS=_G[s:GetName()..'Buff'..i..'Stealable']
										if(UnitIsEnemy(PlayerFrame.unit, s.unit) and dT=='Magic') then
												fS:Show()
										else
												fS:Hide()
										end
								end
						end
				end)
				
				-- SHIV/SOOTHE/TRANQ FOR ENRAGES
				hooksecurefunc("TargetFrame_UpdateAuras", function(s)
						for i = 1, MAX_TARGET_BUFFS do
								_, _, ic, _, dT = UnitBuff(s.unit, i)
								if(ic and (not s.maxBuffs or i<=s.maxBuffs)) then
										fS=_G[s:GetName()..'Buff'..i..'Stealable']
										if(UnitIsEnemy(PlayerFrame.unit, s.unit) and dT=='') then
												fS:Show()
										else
												fS:Hide()
										end
								end
						end
				end)
				]]
				-- SCROLLABLE MINIMAP (HIDES +/- BUTTONS)
				MinimapZoomIn:Hide()
				MinimapZoomOut:Hide()
				Minimap:EnableMouseWheel(true)
				Minimap:SetScript('OnMouseWheel', function(self, delta)
						if delta > 0 then
								Minimap_ZoomIn()
						else
								Minimap_ZoomOut()
						end
				end)
				MiniMapTracking:ClearAllPoints()
				MiniMapTracking:SetPoint("TOPRIGHT", -26, 7)
				
				-- RAID PROFILES

				
				-- Me having fun
				print("PowerInterface v0.2.1_BETA loaded.")
	end
end
plscript:SetScript("OnEvent",eventHandler)